kf5-kconfig-gui-5.52.0-1.el7.1.x86_64.rpm


Advertisement

Description

kf5-kconfig-gui - GUI part of KConfig framework

Property Value
Distribution CentOS 7
Repository EPEL x86_64
Package filename kf5-kconfig-gui-5.52.0-1.el7.1.x86_64.rpm
Package name kf5-kconfig-gui
Package version 5.52.0
Package release 1.el7.1
Package architecture x86_64
Package type rpm
Homepage https://cgit.kde.org/kconfig.git
License GPLv2+ and LGPLv2+ and MIT
Maintainer -
Download size 49.08 KB
Installed size 130.55 KB
KConfigGui provides a way to hook widgets to the configuration so that they are
automatically initialized from the configuration and automatically propagate
their changes to their respective configuration files.

Alternatives

Package Version Architecture Repository
kf5-kconfig-gui - - -

Requires

Name Value
/sbin/ldconfig -
kf5-kconfig-core(x86-64) = 5.52.0-1.el7.1
libKF5ConfigCore.so.5()(64bit) -
libQt5Core.so.5()(64bit) -
libQt5Core.so.5(Qt_5)(64bit) -
libQt5Core.so.5(Qt_5.9)(64bit) -
libQt5Gui.so.5()(64bit) -
libQt5Gui.so.5(Qt_5)(64bit) -
libQt5Xml.so.5()(64bit) -
libQt5Xml.so.5(Qt_5)(64bit) -
libc.so.6(GLIBC_2.14)(64bit) -
libgcc_s.so.1()(64bit) -
libm.so.6()(64bit) -
libstdc++.so.6()(64bit) -
libstdc++.so.6(CXXABI_1.3)(64bit) -
libstdc++.so.6(GLIBCXX_3.4)(64bit) -
rtld(GNU_HASH) -

Provides

Name Value
kf5-kconfig-gui = 5.52.0-1.el7.1
kf5-kconfig-gui(x86-64) = 5.52.0-1.el7.1
libKF5ConfigGui.so.5()(64bit) -

Download

Type URL
Mirror download-ib01.fedoraproject.org
Binary Package kf5-kconfig-gui-5.52.0-1.el7.1.x86_64.rpm
Source Package kf5-kconfig-5.52.0-1.el7.1.src.rpm

Install Howto

  1. Download latest epel-release rpm from
    http://download-ib01.fedoraproject.org/pub/epel/7/x86_64/
  2. Install epel-release rpm:
    # rpm -Uvh epel-release*rpm
  3. Install kf5-kconfig-gui rpm package:
    # yum install kf5-kconfig-gui

Files

Path
/usr/lib64/libKF5ConfigGui.so.5
/usr/lib64/libKF5ConfigGui.so.5.52.0

Changelog

2019-08-08 - Rex Dieter <rdieter@fedoraproject.org> - 5.52.0-1.1
- (branch backport) upstream fix for CVE-2019-14744 (#1738901)
2018-11-04 - Rex Dieter <rdieter@fedoraproject.org> - 5.52.0-1
- 5.52.0
2018-10-10 - Rex Dieter <rdieter@fedoraproject.org> - 5.51.0-1
- 5.51.0
2018-09-14 - Rex Dieter <rdieter@fedoraproject.org> - 5.50.0-2
- disable python on f29+
2018-09-04 - Rex Dieter <rdieter@fedoraproject.org> - 5.50.0-1
- 5.50
2018-08-07 - Rex Dieter <rdieter@fedoraproject.org> - 5.49.0-1
- 5.49.0
2018-08-01 - Rex Dieter <rdieter@fedoraproject.org> - 5.48.0-3
- python: support on f29+ again, add Obsoletes otherwise (like ppc64/s390x) (#1610422)
- macro'ize ninja support
- .spec cosmetics (whitespace mostly)
2018-07-13 - Fedora Release Engineering <releng@fedoraproject.org> - 5.48.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
2018-07-09 - Rex Dieter <rdieter@fedoraproject.org> - 5.48.0-1
- 5.48.0
2018-06-07 - Rex Dieter <rdieter@fedoraproject.org> - 5.47.0-2
- cleanup
- use pkgconfig(Qt5...) style deps
- use %majmin %make_build %find_lang_kf5 %ldconfig_scriptlets

See Also

Package Description
kf5-kconfigwidgets-5.52.0-1.el7.x86_64.rpm KDE Frameworks 5 Tier 3 addon for creating configuration dialogs
kf5-kconfigwidgets-devel-5.52.0-1.el7.x86_64.rpm Development files for kf5-kconfigwidgets
kf5-kcoreaddons-5.52.0-2.el7.x86_64.rpm KDE Frameworks 5 Tier 1 addon with various classes on top of QtCore
kf5-kcoreaddons-devel-5.52.0-2.el7.x86_64.rpm Development files for kf5-kcoreaddons
kf5-kcrash-5.52.0-1.el7.x86_64.rpm KDE Frameworks 5 Tier 2 addon for handling application crashes
kf5-kcrash-devel-5.52.0-1.el7.x86_64.rpm Development files for kf5-kcrash
kf5-kdbusaddons-5.52.0-1.el7.x86_64.rpm KDE Frameworks 5 Tier 1 addon with various classes on top of QtDBus
kf5-kdbusaddons-devel-5.52.0-1.el7.x86_64.rpm Development files for kf5-kdbusaddons
kf5-kdeclarative-5.52.0-1.el7.1.x86_64.rpm KDE Frameworks 5 Tier 3 addon for Qt declarative
kf5-kdeclarative-devel-5.52.0-1.el7.1.x86_64.rpm Development files for kf5-kdeclarative
kf5-kded-5.52.0-1.el7.x86_64.rpm KDE Frameworks 5 Tier 3 addon with extensible daemon for system-level services
kf5-kded-devel-5.52.0-1.el7.x86_64.rpm Development files for kf5-kded
kf5-kdelibs4support-5.52.0-1.el7.x86_64.rpm KDE Frameworks 5 Tier 4 module with porting aid from KDELibs 4
kf5-kdelibs4support-devel-5.52.0-1.el7.x86_64.rpm Development files for kf5-kdelibs4support
kf5-kdelibs4support-doc-5.52.0-1.el7.noarch.rpm Documentation and user manuals for kf5-kdelibs4support
Advertisement
Advertisement